import javax.swing.*;

public class H5_Oefening1
{
	public static void main (String[] args)
	{
		int intgetal, intdeelbaar, inttwee, intdrie, intvier;
		String strgetal, stringegeven, strdoortwee, strdoordrie, strdoorvier;
		
		strgetal = "";
		stringegeven = "";
		strdoortwee = "";
		strdoordrie = "";
		strdoorvier = "";
		
		inttwee = 0;
		intdrie = 0;
		intvier = 0;
		
		strgetal = JOptionPane.showInputDialog("Geef een positief geheel getal in: ");
		intgetal = Integer.parseInt(strgetal);

		while (intgetal != 0)
		{
			stringegeven = stringegeven + strgetal + ", ";
			
			if (intgetal > 0)
			{
				intdeelbaar = intgetal % 2;
				if (intdeelbaar == 0)
				{
					strdoortwee = strdoortwee  + strgetal + ", ";
					inttwee++;
				}

				intdeelbaar = intgetal % 3;
				if (intdeelbaar == 0)
				{
					strdoordrie = strdoordrie  + strgetal + ", ";
					intdrie++;
				}

				intdeelbaar = intgetal % 6;
				if (intdeelbaar == 0)
				{
					strdoorvier = strdoorvier  + strgetal + ", ";
					intvier++;
				}		

			}
			
			strgetal = JOptionPane.showInputDialog("Geef een positief geheel getal in: ");
			intgetal = Integer.parseInt(strgetal);
		}

		JOptionPane.showMessageDialog(null,"De ingegegeven getallen zijn: " + stringegeven + "\n\nVolgende getallen waren deelbaar door twee: (aantal " + inttwee + "): " + strdoortwee + "\nVolgende getallen waren deelbaar door drie (aantal: " + intdrie + "): " + strdoordrie + "\nVolgende getallen waren deelbaar door zes (aantal: " + intvier + "): " + strdoorvier);
	}
}